Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# stackobject.h File Reference

A C++ base class for automatic (or stack) objects. More...

`#include <cstddef>`

Go to the source code of this file.

## Namespaces

- namespace Inti

## Detailed Description

A C++ base class for automatic (or stack) objects.

Provides StackObject, a base class that declares 'operator new' and 'operator delete' private, thereby forcing dervied objects to be created on the stack.
Main Page - Footer